ZABBIX_SERVER(8)

NAME
zabbix_server - Zabbix server daemon

SYNOPSIS
zabbix_server [-c config-file]
zabbix_server [-c config-file] -R runtime-option
zabbix_server [-c config-file] -T
zabbix_server -h
zabbix_server -V

DESCRIPTION
zabbix_server is the core daemon of Zabbix software.

OPTIONS

-c, --config config-file
    Use the alternate config-file instead of the default one.

-f, --foreground
    Run Zabbix server in foreground.

-R, --runtime-control runtime-option
    Perform administrative functions according to runtime-option.

  Runtime control options

    config_cache_reload
        Reload configuration cache. Ignored if cache is being currently loaded. Default configuration file (unless -c option is specified) will be used to find PID file and signal will be sent to process, listed in PID file.

    snmp_cache_reload
        Reload SNMP cache.

    housekeeper_execute
        Execute the housekeeper. Ignored if housekeeper is being currently executed.

    trigger_housekeeper_execute
        Execute the trigger housekeeper (remove problems for deleted triggers). Ignored if trigger housekeeper is being currently executed.

    secrets_reload
        Reload secrets from Vault. Ignored if configuration cache or secrets are being currently loaded.

    diaginfo[=section]
        Log internal diagnostic information of the specified section. Section can be historycache, preprocessing, alerting, lld, valuecache, locks, and connector. By default diagnostic information of all sections is logged.

    prof_enable[=target]
        Enable profiling, affects all processes if target is not specified

    prof_disable[=target]
        Disable profiling, affects all processes if target is not specified

    ha_status
        Display high availability cluster status. Can be performed only on active node.

    ha_remove_node
        ha_remove_node[=name|ID] Remove high availability node by its name or ID listed in ha_status. Can be performed only on active node.

    ha_set_failover_delay[=delay]
        Set high availability failover delay. The delay can be specified using time suffixes. Can be performed only on active node.

    log_level_increase[=target]
        Increase log level, affects all processes if target is not specified

    log_level_decrease[=target]
        Decrease log level, affects all processes if target is not specified

  Log level control targets

    process-type
        All processes of specified type (alerter, alert manager, alert syncer, availability manager, browser poller, configuration syncer, configuration syncer worker, connector manager, connector worker, discovery manager, discovery worker, escalator, ha manager, history poller, history syncer, housekeeper, http poller, http agent poller, icmp pinger, internal poller, ipmi manager, ipmi poller, java poller, lld manager, lld worker, odbc poller, poller, agent poller, preprocessing manager, preprocessing worker, proxy poller, proxy group manager, report manager, report writer, self-monitoring, service manager, snmp poller, snmp trapper, task manager, timer, trapper, trigger housekeeper, unreachable poller, vmware collector)

    process-type,N
        Process type and number (e.g., poller,3)

    pid Process identifier

  Profiling control targets

    process-type
        All processes of specified type (alerter, alert manager, alert syncer, availability manager, browser poller, configuration syncer, configuration syncer worker, connector manager, connector worker, discovery manager, discovery worker, escalator, ha manager, history poller, history syncer, housekeeper, http poller, http agent poller, icmp pinger, internal poller, ipmi manager, ipmi poller, java poller, lld manager, lld worker, odbc poller, poller, agent poller, preprocessing manager, preprocessing worker, proxy poller, proxy group manager, report manager, report writer, self-monitoring, service manager, snmp poller, snmp trapper, task manager, timer, trapper, trigger housekeeper, unreachable poller, vmware collector)

    process-type,N
        Process type and number (e.g., history syncer,1)

    pid Process identifier

    scope
        (rwlock, mutex, processing) can be used with process-type (e.g., history syncer,1,processing)

-T, --test-config
    Validate configuration file and exit.

-h, --help
    Display this help and exit.

-V, --version
    Output version information and exit.

FILES

/usr/local/etc/zabbix_server.conf
    Default location of Zabbix server configuration file (if not modified during compile time).

SEE ALSO
Documentation (https://www.zabbix.com/manuals)

zabbix_agentd(8), zabbix_get(1), zabbix_proxy(8), zabbix_sender(1), zabbix_js(1), zabbix_agent2(8), zabbix_web_service(8)